<?php

class Migration_20250830024828_alter_table_call_histories_sid
{
    public static function up(PDO $pdo)
    {
        $pdo->exec("
            ALTER TABLE `call_histories`
            ADD COLUMN `first_sip_sid` varchar(255) NULL AFTER `second_person_call_sid`,
            ADD COLUMN `second_sip_sid` varchar(255) NULL AFTER `first_sip_sid`,
            ADD COLUMN `is_first_digit`TINYINT(1) NOT NULL DEFAULT 0 AFTER `second_sip_sid`,
            ADD COLUMN `call_cost` varchar(20) NULL AFTER `released_by`
        ");
    }

    public static function down(PDO $pdo)
    {
        $pdo->exec("
            ALTER TABLE `call_histories`
            DROP COLUMN `first_sip_sid`,
            DROP COLUMN `second_sip_sid`,
            DROP COLUMN `is_first_digit`,
            DROP COLUMN `call_cost`
        ");
    }
}